<?php
/**
 * Form_BlockEdit_app:: class, extends Form_BlockEdit.
 *
 * These classes are used to set up the forms to edit individual
 * blocks within a page.
 *
 * $Horde: giapeto/lib/Form/BlockEdit/app.php,v 1.9 2005/04/20 06:31:08 selsky Exp $
 *
 * Copyright 2002-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */
class Form_BlockEdit_app extends Form_BlockEdit {

    function setBlock()
    {
        $this->_block['block'] = array('app' => $this->_block['app'] . ':' . $this->_block['params']['type']);
        if (isset($this->_block['params']['params'])) {
            $this->_block['block']['options'] = $this->_block['params']['params'];
        }
        unset($this->_block['params']);
    }

    function setEditVars()
    {
        parent::setEditVars();

        require_once 'Horde/Block/UI.php';
        $block_ui = &new Horde_Block_UI();
        $block_ui->setForm($this->_form);
        $block_ui->setVars($this->_vars);
        $block_ui->setupEditForm();
    }

}
