/**
 * Open Popup Window Javascript
 *
 * Provides the javascript to open a popup window, used for functions such as
 * the zooming of images.
 *
 * $Horde: giapeto/templates/javascript/open_popup_win.js,v 1.6 2005/04/20 06:31:09 selsky Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */

function open_popup_win(url, width, height, name)
{
    /* Set a randome name if no name passed. */
    if (typeof name == 'undefined') {
        var now = new Date();
        var name = "popup_window_" + now.getTime();
    }

    param = "toolbar=no,location=no,status=no,scrollbars=yes,resizable=yes,width=" + width + ",height=" + height + ",left=0,top=0";
    eval ("name = window.open(url, name, param)");
    if (!eval("name.opener")) eval("name.opener = self");
}
